[package]
name = "gm-control-panel"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
adw                 = { version = "0.5", package = "libadwaita", features = [ "v1_2", "gtk_v4_6" ] }
config              = { path = "../config" }
config-derive       = { path = "../config-derive" }
futures             = { version = "0.3" }
gio                 = { version = "0.18" }
glib                = { version = "0.18" }
gdk                 = { version = "0.7", package = "gdk4" }
gtk                 = { version = "0.7", package = "gtk4", features = [ "v4_6" ] }
serde               = { version = "1" }
serde_json          = { version = "*" }
tokio               = { version = "1", features = ["full"] }

[build-dependencies]
glib-build-tools = "0.16"

